Skip to main content
GET
Query Connector Languages

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

salesChannelId
string
required

Sales channel id of the connector account whose languages are listed. Opaque, tenant-local composite identifier (not a UUID); use the value returned by a sales channel listing.

Response

Success.

iso
string
required

ISO 639-1 language code in lowercase, e.g. de. Identifies the language.

isAssigned
boolean
required

Language is currently assigned to the connector account.

isDefault
boolean
required

Language is the connector account's default language.

nameGerman
string

German name of the language.

nameEnglish
string

English name of the language.